VOL-595 - container image name consistency and general cleanup

Change-Id: Iccac1ccba61537cefa046118df139196e9e87713
diff --git a/fluentd_config/entrypoint.sh b/fluentd_config/entrypoint.sh
new file mode 100644
index 0000000..08f76e5
--- /dev/null
+++ b/fluentd_config/entrypoint.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/dumb-init /bin/sh
+# Copyright 2018 the original author or authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+uid=${FLUENT_UID:-1000}
+
+# check if a old fluent user exists and delete it
+cat /etc/passwd | grep fluent
+if [ $? -eq 0 ]; then
+    deluser fluent
+fi
+
+# (re)add the fluent user with $FLUENT_UID
+adduser -D -g '' -u ${uid} -h /home/fluent fluent
+
+# chown home and data folder
+chown -R fluent /home/fluent
+chown -R fluent /fluentd
+
+echo "$WAIT_FOR"
+if [ ! -z "$WAIT_FOR" ]; then
+  for i in $WAIT_FOR; do
+      /bin/wait_for_it.sh -t ${WAIT_FOR_TIMEOUT:-30} $i
+  done
+fi
+
+exec su-exec fluent "$@"
+